//------------------------------------------------------------------------------
// shape_Area.cpp -   
//     
//------------------------------------------------------------------------------

#include "shape_atd.h"

//------------------------------------------------------------------------------

namespace simple_shapes {

//------------------------------------------------------------------------------

  //       
  //  . ,  ,    .
  double Area(rectangle &r);
  double Area(triangle &t);
  double Area(circle &c);     //  

//------------------------------------------------------------------------------

  //    
  //      
  double Area(shape &s)
  {
    switch(s.k) {
    case shape::key::RECTANGLE:
      return Area(s.r);
    case shape::key::TRIANGLE:
      return Area(s.t);
    case shape::key::CIRCLE: //  
      return Area(s.c);
    default:
      return 0.0;
    }
  }

//------------------------------------------------------------------------------

} // end simple_shapes namespace
